#ifndef WIDGET_H
#define WIDGET_H
#include <Wt/WContainerWidget>
#include <Wt/WTreeView>
#include <Wt/WPushButton>
#include <Wt/WHBoxLayout>
#include "model.h"

using namespace Wt;
class Widget : public WContainerWidget
{
  WContainerWidget *container;
  WPushButton      *addObj;
  WPushButton      *remObj;
  WTreeView        *table;
  Model            *model;
  void              addObjAction();
  void              remObjAction();
public:
  Widget( WContainerWidget *parent = NULL );
  virtual ~Widget();
};

#endif // WIDGET_H
